Skip to main content

Request

[GET]
{{baseUrl}}/api/v1/kyc/address
HeaderTypeDescription
AppIdstringCreate an app to get your app ID on dashboard here
AuthorizationstringPrivate/secret key. Use <key> not Bearer <key>

Query parameter

ParameterTypeDescriptionRequired
reference_idstring69e10264-4b90-64fe-b4b7-c9dddafd0241required

Sample response

Response
{
    "entity": {
        "status":"pending",
        "reference_id": "69e10264-4b90-64fe-b4b7-c9dddafd0241",
        "data": {
            "applicant": {
                "first_name": "John",
                "last_name": "Doe",
                "phone": "08012345678",
                "middle_name": "Kabiru",
                "photo": "",
                "gender": "Male",
                "dob": "17/01/1988"
            },
            "location": "7.081273, 8.232523",
            "photos": [
                ""
            ],
            "neighbor": {
                "name": "Musa Garba",
                "comment": "Very friendly",
                "phone": "080987654321"
            },
            "city": "oshodi",
            "street": "270 Murtala Muhammed Way, Alagomeji. Yaba",
            "lga": "lagos mainland",
            "state": "Lagos",
            "country": "Nigeria",
            "comments": ""        
        }
    }
}    

Response Fields

FieldTypeDescription
entityobjectContains the response data
entity.statusstringVerification status. Values: pending (verification in progress), completed (verification finished), failed (verification could not be completed)
entity.reference_idstringUnique reference ID for the verification request
entity.dataobjectDetailed verification data (populated when status is completed)
entity.data.applicantobjectInformation about the individual whose address was verified
entity.data.applicant.first_namestringFirst name of the applicant
entity.data.applicant.last_namestringLast name of the applicant
entity.data.applicant.phonestringPhone number of the applicant
entity.data.applicant.middle_namestringMiddle name of the applicant
entity.data.applicant.photostringURL or Base64 of the applicant’s photo (may be empty)
entity.data.applicant.genderstringGender of the applicant
entity.data.applicant.dobstringDate of birth of the applicant (DD/MM/YYYY format)
entity.data.locationstringGPS coordinates of the verified address (latitude, longitude)
entity.data.photosarrayList of photo URLs or Base64 strings taken during verification
entity.data.neighborobjectInformation collected from a neighbor during verification
entity.data.neighbor.namestringName of the neighbor contacted
entity.data.neighbor.commentstringNeighbor’s comment about the applicant
entity.data.neighbor.phonestringPhone number of the neighbor
entity.data.citystringCity of the verified address
entity.data.streetstringStreet address that was verified
entity.data.lgastringLocal Government Area of the address
entity.data.statestringState of the verified address
entity.data.countrystringCountry of the verified address
entity.data.commentsstringAdditional comments from the verification agent

Sandbox Reference Id

Completed - 47f3227b-a1de-41ff-9868-290864bfefe4 Pending - 69e10264-4b90-64fe-b4b7-c9dddafd0241 Failed - 86a86106-d9f5-4d8f-b424-c90f0ee952ee